#include <unordered_map>
#include <random>

#include "io.h"
#include "sims.h"
#include "motions/random.h"
#include "times/delta.h"


int main () {
    std::unordered_map parameter { parse_arguments("config.txt") };

    std::random_device rd;
    std::mt19937_64 rng(rd());

    auto motion = RandomJump(rng);
    auto dist = DeltaDistribution(rng);

    run_spectrum(parameter, motion, dist);

}
